<?php echo $header; ?>
<?php echo $column_left; ?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-hepsipay-vpos" data-toggle="tooltip" title="Kaydet" class="btn btn-primary">
                    <i class="fa fa-save"></i>
                </button>
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="İptal Et" class="btn btn-default">
                    <i class="fa fa-reply"></i>
                </a>
            </div>
            <h1><?php echo $heading_title; ?></h1>
        </div>
    </div>
    <div class="container-fluid">
        <?php if (!empty($errors)) { ?>
        <?php foreach ($errors as $key => $val) { ?>
        <div class="alert alert-warning">
            <i class="fa fa-exclamation-circle"></i> <?php echo $val; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>
        <?php } ?>

        <?php if (!empty($success)) { ?>
        <?php foreach ($success as $key => $val) { ?>
        <div class="alert alert-success">
            <i class="fa fa-exclamation-circle"></i> <?php echo $val; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>
        <?php } ?>

        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-hepsipay-vpos" class="form-horizontal">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-pencil"></i> <span><?php echo $title_system_info; ?></span></h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label"><?php echo $label_software_versions; ?></label>
                        <div class="col-sm-10">
                            <div class="row">
                                <div class="col-sm-2">
                                    <div class="alert alert-success" style="padding: 8px" role="alert">
                                        Hepsipay Plugin v<?php echo $system_info['hepsipay_plugin']; ?>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <div class="alert alert-success" style="padding: 8px" role="alert">
                                        Opencart v<?php echo $system_info['opencart']; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label"><?php echo $label_system; ?></label>
                        <div class="col-sm-10">
                            <div class="row">
                                <div class="col-sm-2">
                                    <?php if ($system_info['php_compatibility']) { ?>
                                    <div class="alert alert-success" style="padding: 8px" role="alert">
                                        PHP v<?php echo $system_info['php_version']; ?>
                                    </div>
                                    <?php } else { ?>
                                    <div class="alert alert-warning" style="padding: 8px" role="alert">
                                        PHP v<?php echo $system_info['php_version']; ?>
                                    </div>
                                    <?php } ?>
                                </div>
                                <div class="col-sm-2">
                                    <?php if ($system_info['curl']) { ?>
                                    <div class="alert alert-success" style="padding: 8px" role="alert">cURL</div>
                                    <?php } else { ?>
                                    <div class="alert alert-warning" style="padding: 8px" role="alert">cURL</div>
                                    <?php } ?>
                                </div>
                                <div class="col-sm-2">
                                    <?php if ($system_info['file_get_contents']) { ?>
                                    <div class="alert alert-success" style="padding: 8px" role="alert">fopen</div>
                                    <?php } else { ?>
                                    <div class="alert alert-warning" style="padding: 8px" role="alert">fopen</div>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-pencil"></i> <span><?php echo $title_api_user_information; ?></span></h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="hepsipay_vpos_environment"><?php echo $label_environment; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="hepsipay_vpos_environment" value="<?php echo $hepsipay_vpos_environment; ?>" class="form-control" />
                            <?php if (!empty($errors['hepsipay_vpos_environment']) || empty($hepsipay_vpos_environment)) { ?>
                            <span class="text-danger"><?php echo $errors_message['hepsipay_vpos_environment']; ?></span>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="hepsipay_vpos_merchant_no">
                            <?php echo $label_hepsipay_vpos_merchant_no; ?>
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="hepsipay_vpos_merchant_no"
                                   value="<?php echo $hepsipay_vpos_merchant_no; ?>" class="form-control" />
                            <?php if (!empty($errors['hepsipay_vpos_merchant_no']) || empty($hepsipay_vpos_merchant_no)) { ?>
                            <span class="text-danger"><?php echo $errors_message['hepsipay_vpos_merchant_no']; ?></span>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="hepsipay_vpos_terminal_no">
                            <?php echo $label_hepsipay_vpos_terminal_no; ?>
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="hepsipay_vpos_terminal_no"
                                   value="<?php echo $hepsipay_vpos_terminal_no; ?>" class="form-control" />
                            <?php if (!empty($errors['hepsipay_vpos_terminal_no']) || empty($hepsipay_vpos_terminal_no)) { ?>
                            <span class="text-danger"><?php echo $errors_message['hepsipay_vpos_terminal_no']; ?></span>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="hepsipay_vpos_store_key">
                            <?php echo $label_hepsipay_vpos_store_key; ?>
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="hepsipay_vpos_store_key"
                                   value="<?php echo $hepsipay_vpos_store_key; ?>" class="form-control" />
                            <?php if (!empty($errors['hepsipay_vpos_store_key']) || empty($hepsipay_vpos_store_key)) { ?>
                            <span class="text-danger"><?php echo $errors_message['hepsipay_vpos_store_key']; ?></span>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="hepsipay_vpos_tl_currency">
                            <?php echo $label_tl_currency; ?>
                        </label>
                        <div class="col-sm-10">
                            <select name="hepsipay_vpos_tl_currency" id="hepsipay_vpos_tl_currency" class="form-control">
                                <option value="" selected="selected"><?php echo $text_select; ?></option>

                                <?php foreach ($store_currencies as $store_currency) { ?>
                                <?php if ($store_currency['code'] == $hepsipay_vpos_tl_currency) { ?>
                                <option value="<?php echo $store_currency['code']; ?>" selected="selected">
                                    <?php echo $store_currency['title']; ?>
                                </option>
                                <?php } else { ?>
                                <option value="<?php echo $store_currency['code']; ?>">
                                    <?php echo $store_currency['title']; ?>
                                </option>
                                <?php } ?>
                                <?php } ?>
                            </select>

                            <?php if (!empty($errors['hepsipay_vpos_order_completed_id']) || $hepsipay_vpos_order_completed_id == '') { ?>
                            <span class="text-danger mt-2"><?php echo $errors_message['hepsipay_vpos_tl_currency']; ?></span>
                            <?php } ?>
                        </div>
                    </div>


                    <!-- Diğer form grupları aynı mantıkla buraya eklenir -->

                </div>
            </div>

            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-pencil"></i> <span><?php echo $title_order_status; ?></span></h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="hepsipay_vpos_order_completed_id">
                            <?php echo $label_order_completed; ?>
                        </label>
                        <div class="col-sm-10">
                            <select name="hepsipay_vpos_order_completed_id" id="hepsipay_vpos_order_completed_id" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $hepsipay_vpos_order_completed_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected">
                                    <?php echo $order_status['name']; ?>
                                </option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>">
                                    <?php echo $order_status['name']; ?>
                                </option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                            <?php if (!empty($errors['hepsipay_vpos_order_completed_id']) || $hepsipay_vpos_order_completed_id == '') { ?>
                            <span class="text-danger"><?php echo $errors_message['hepsipay_vpos_order_completed_id']; ?></span>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-pencil"></i> <span><?php echo $title_module_settings; ?></span></h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="hepsipay_vpos_status">
                            <?php echo $label_module_status; ?>
                        </label>
                        <div class="col-sm-10">
                            <select name="hepsipay_vpos_status" class="form-control">
                                <option value="1" <?php echo ($hepsipay_vpos_status == 1) ? 'selected="selected"' : ''; ?>>
                                <?php echo $text_active; ?>
                                </option>
                                <option value="0" <?php echo ($hepsipay_vpos_status == 0) ? 'selected="selected"' : ''; ?>>
                                <?php echo $text_passive; ?>
                                </option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>

        </form>
    </div>
</div>

<style>
    .has-error .help-block, .has-error .control-label, .has-error .radio, .has-error .checkbox, .has-error .radio-inline, .has-error .checkbox-inline, .has-error.radio label, .has-error.checkbox label, .has-error.radio-inline label, .has-error.checkbox-inline label {
        color: unset !important;
    }
</style>

<?php echo $footer; ?>
