<?php

class ModelExtensionPaymentHepsipayVpos extends Model {

	public function getMethod( $address, $total ): array {
		$this->load->language( 'payment/hepsipay_vpos' );

		$query = $this->db->query( "SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE " .
		                           "geo_zone_id = '" . (int) $this->config->get( 'hepsipay_vpos_geo_zone_id' ) . "' " .
		                           "AND country_id = '" . (int) $address['country_id'] . "' " .
		                           "AND (zone_id = '" . (int) $address['zone_id'] . "' OR zone_id = '0')" );

		if ( $this->config->get( 'hepsipay_vpos_total' ) > 0 && $this->config->get( 'hepsipay_vpos_total' ) > $total ) {
			$status = false;
		} elseif ( ! $this->config->get( 'hepsipay_vpos_geo_zone_id' ) ) {
			$status = true;
		} elseif ( $query->num_rows ) {
			$status = true;
		} else {
			$status = false;
		}

		$method_data = array();
		if ( $status ) {
			$method_data = array(
				'code'       => 'hepsipay_vpos',
				'title'      => $this->language->get( 'text_title' ),
				'terms'      => '',
				'sort_order' => 1
			);
		}

		return $method_data;
	}

	public function updateOrderTotal( $order_id, $order_total, $fee ) {

		$order_query = $this->db->query(
			"SELECT * FROM " . DB_PREFIX . "order_total " .
			"WHERE order_id = '" . $this->db->escape( $order_id ) . "' " .
			"AND code = 'commission_fee'" );

		if ( ! $order_query->num_rows ) {
			$this->db->query( "INSERT INTO " . DB_PREFIX . "order_total " .
			                  "SET order_id = '" . $this->db->escape( $order_id ) . "', " .
			                  "code = 'commission_fee', title = 'Vade Farkı', " .
			                  "`value` = '" . $this->db->escape( $fee ) . "', sort_order = '7'" );
		}

		$this->db->query( "UPDATE " . DB_PREFIX . "order_total SET " .
		                  "`value` = '" . $this->db->escape( $order_total ) . "' " .
		                  "WHERE order_id = '" . $this->db->escape( $order_id ) . "' AND code = 'total'" );

		$this->db->query( "UPDATE " . DB_PREFIX . "order SET " .
		                  "`total` = '" . $this->db->escape( $order_total ) . "' " .
		                  "WHERE order_id = '" . $this->db->escape( $order_id ) . "' " );

	}

	public function roundUp( $number ): string {
		$rounded = ceil( $number * 100 );

		return number_format( $rounded / 100, 2, '.', '' );
	}

	public function getSiteUrl(): string {
		if ( ! empty( $_SERVER['HTTPS'] ) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443 ) {
			$siteUrl = HTTPS_SERVER;
		} else {
			$siteUrl = HTTP_SERVER;
		}

		return $siteUrl;
	}

}
