<meta charset="UTF-8">
<fieldset>
    <legend><?php echo $text_title; ?></legend>
    <?php if (!$verified) { ?>
    <div class="alert alert-danger"><i class="fa-solid fa-circle-exclamation"></i> <?php echo $text_description; ?></div>
    <?php } else { ?>
    <div>
        <div id="hepsipayFrameInit"></div>
    </div>
    <?php } ?>
</fieldset>

<script type="text/javascript">
    jQuery(function () {
        if (typeof HepsipaySdk === "undefined") {
            let script = document.createElement("script");
            script.type = 'text/javascript';
            script.src = "https://images.hepsiburada.net/hepsipay/packages/pf/hepsipay-0.2.7.min.js";

            script.onreadystatechange = () => {
                fire_frame("<?php echo $frame_url; ?>");
            };
            script.onload = () => {
                fire_frame("<?php echo $frame_url; ?>");
            };

            document.head.appendChild(script);
        } else {
            fire_frame("<?php echo $frame_url; ?>");
        }
    });

    function fire_frame(frame_url) {
        if (!frame_url) return;
        const arg = {
            frameUrl: frame_url,
            frameDivId: "hepsipayFrameInit",
            paymentStatusCallback: (status) => {
            },
            frameFailureCallback: (status) => {
            },
            onPaymentSuccessCallback: (status) => {
            },
            maxHeight: "800",
            disableDynamicHeight: false,
            showFramePaymentButton: true,
            useApiCallOnSuccessCallback: false,
            // selectedPaymentInfoCallback: callback,
            overrideFontFamily: "Inter",
            hideHeader: false,
        };
        HepsipaySdk.init(arg);
    }

    window.addEventListener("message", handle_message_events);

    function handle_message_events(event) {
        const {messageType, ...data} = event.data;

        switch (messageType) {
            case "hp-payment-available-status":
                break;
            case "hp-restart-frame":
                get_frame_options();
                break;
            case "hp-payment-success":
                payment_success(data);
                break;
        }
    }

    function payment_success(hepsipay_data) {
        if (!hepsipay_data) return;

        jQuery.ajax({
            url: 'index.php?route=extension/payment/hepsipay_vpos/callback',
            type: "POST",
            data: {
                hepsipay_payment_data: JSON.stringify(hepsipay_data),
            },
            success: function (response) {
                let data = JSON.parse(response);
                window.location = data.redirect_url;
            },
            error: function (xhr, status, error) {
                console.log(xhr, status, error);
            },
        });
    }
</script>
